[youtubei.js](../../../README.md) / [APIResponseTypes](../README.md) / CreatePlaylistServiceRequest

# Type Alias: CreatePlaylistServiceRequest

> **CreatePlaylistServiceRequest**: `object`

## Type declaration

### description?

> `optional` **description**: `string`

### params?

> `optional` **params**: `string`

### privacyStatus?

> `optional` **privacyStatus**: [`PlaylistPrivacyStatus`](PlaylistPrivacyStatus.md)

### sourcePlaylistId?

> `optional` **sourcePlaylistId**: `string`

### title?

> `optional` **title**: `string`

### videoIds?

> `optional` **videoIds**: `string`[]

## Defined in

[src/parser/types/CommandEndpoints.ts:104](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/types/CommandEndpoints.ts#L104)
